# Ogre::CompositorScriptCompiler::CompositorScriptContext Struct Reference

Struct for holding the script context while parsing. More...

`#include <OgreCompositorScriptCompiler.h>`

List of all members.

## Public Attributes

CompositorScriptSection | section
String | groupName
CompositorPtr | compositor
CompositionTechnique * | technique
CompositionTargetPass * | target
CompositionPass * | pass

## Detailed Description

Struct for holding the script context while parsing.

Definition at line 115 of file OgreCompositorScriptCompiler.h.

## Member Data Documentation

CompositorScriptSection Ogre::CompositorScriptCompiler::CompositorScriptContext::section

Definition at line 117 of file OgreCompositorScriptCompiler.h.

String Ogre::CompositorScriptCompiler::CompositorScriptContext::groupName

Definition at line 118 of file OgreCompositorScriptCompiler.h.

CompositorPtr Ogre::CompositorScriptCompiler::CompositorScriptContext::compositor

Definition at line 119 of file OgreCompositorScriptCompiler.h.

CompositionTechnique* Ogre::CompositorScriptCompiler::CompositorScriptContext::technique

Definition at line 120 of file OgreCompositorScriptCompiler.h.

CompositionTargetPass* Ogre::CompositorScriptCompiler::CompositorScriptContext::target

Definition at line 121 of file OgreCompositorScriptCompiler.h.

CompositionPass* Ogre::CompositorScriptCompiler::CompositorScriptContext::pass

Definition at line 122 of file OgreCompositorScriptCompiler.h.

The documentation for this struct was generated from the following file:

- OgreCompositorScriptCompiler.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat May 10 16:25:35 2008